## edu.stanford.nlp.process
Interface CoreTokenFactory<IN extends CoreMap>

Type Parameters:
  `IN` -

All Known Implementing Classes:
  CoreLabelTokenFactory

    public interface CoreTokenFactory<IN extends CoreMap>

To make tokens like CoreMap or CoreLabel. An alternative to LexedTokenFactory since this one has option to make tokens differently, which would have been an overhead for LexedTokenFactory

Author:
  Sonal Gupta

Method Summary
`IN` `makeToken()`
`IN` `makeToken(IN tokenToBeCopied)`
`IN` `makeToken(String[] keys, String[] values)`

Method Detail

### makeToken

    IN makeToken()

### makeToken

    IN makeToken(String[] keys,
                 String[] values)

### makeToken

    IN makeToken(IN tokenToBeCopied)

Stanford NLP Group